%global __requires_exclude ^perl\\(Autom4te::
%global __provides_exclude ^perl\\(Autom4te::

Summary:    An extensible package for automatically configuring software source code packages
Name:       autoconf
Version:    2.71
Release:    4%{?dist}
License:    GPLv2+ and GFDL
URL:        https://www.gnu.org/software/autoconf/
Source0:    https://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.xz
Source1:    config.site
Source2:    autoconf-init.el

BuildRequires:	make gcc-gfortran emacs perl perl-generators perl-macros
BuildRequires:  perl(Data::Dumper) perl(Text::ParseWords)
BuildRequires:  m4 >= 1.4.14
Requires:       perl-File-Compare perl-interpreter emacs-filesystem
Requires:       m4 >= 1.4.14
BuildArch:  noarch

%description
Autoconf is an extensible package of M4 macros that produce shell
scripts to automatically configure software source code packages.
These scripts can adapt the packages to many kinds of UNIX-like
systems without manual user intervention.  Autoconf creates a
configuration script for a package from a template file that lists the
operating system features that the package can use, in the form of M4
macro calls.

%prep
%autosetup

%build
export EMACS=%{_bindir}/emacs
%configure \
    --with-lispdir=%{_emacs_sitelispdir}/autoconf
%make_build

%check
make check %{?_smp_mflags}

%install
%make_install
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_emacs_sitestartdir}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_emacs_sitestartdir}

%files
%license COPYING*
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%exclude %{_infodir}/standards*
%exclude %{_infodir}/dir
%{_datadir}/autoconf/
%{_datadir}/config.site
%{_datadir}/emacs/site-lisp/*
%{_bindir}/*
%{_infodir}/autoconf.info*
%{_mandir}/man1/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.71-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.71-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Oct 28 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.71-2
- Remove unnecessary requires perl

* Fri Apr 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.71-1
- Initial build
